Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
190.167.0.0
Broadcast address
190.167.127.255
First usable
190.167.0.1
Last usable
190.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex BEA70000 · Integer 3198615552 to 3198648319
Reverse DNS zones
0.167.190.in-addr.arpa
1.167.190.in-addr.arpa
2.167.190.in-addr.arpa
3.167.190.in-addr.arpa
4.167.190.in-addr.arpa
5.167.190.in-addr.arpa
6.167.190.in-addr.arpa
7.167.190.in-addr.arpa
8.167.190.in-addr.arpa
9.167.190.in-addr.arpa
10.167.190.in-addr.arpa
11.167.190.in-addr.arpa
12.167.190.in-addr.arpa
13.167.190.in-addr.arpa
14.167.190.in-addr.arpa
15.167.190.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.10100111.00000000.00000000190.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10111110.10100111.00000000.00000000190.167.0.0
Broadcast10111110.10100111.01111111.11111111190.167.127.255
Split into smaller subnets/26

190.167.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.167.0.0/26190.167.0.1 to 190.167.0.62190.167.0.6362
2190.167.0.64/26190.167.0.65 to 190.167.0.126190.167.0.12762
3190.167.0.128/26190.167.0.129 to 190.167.0.190190.167.0.19162
4190.167.0.192/26190.167.0.193 to 190.167.0.254190.167.0.25562
5190.167.1.0/26190.167.1.1 to 190.167.1.62190.167.1.6362
6190.167.1.64/26190.167.1.65 to 190.167.1.126190.167.1.12762
7190.167.1.128/26190.167.1.129 to 190.167.1.190190.167.1.19162
8190.167.1.192/26190.167.1.193 to 190.167.1.254190.167.1.25562
9190.167.2.0/26190.167.2.1 to 190.167.2.62190.167.2.6362
10190.167.2.64/26190.167.2.65 to 190.167.2.126190.167.2.12762
11190.167.2.128/26190.167.2.129 to 190.167.2.190190.167.2.19162
12190.167.2.192/26190.167.2.193 to 190.167.2.254190.167.2.25562
13190.167.3.0/26190.167.3.1 to 190.167.3.62190.167.3.6362
14190.167.3.64/26190.167.3.65 to 190.167.3.126190.167.3.12762
15190.167.3.128/26190.167.3.129 to 190.167.3.190190.167.3.19162
16190.167.3.192/26190.167.3.193 to 190.167.3.254190.167.3.25562
17190.167.4.0/26190.167.4.1 to 190.167.4.62190.167.4.6362
18190.167.4.64/26190.167.4.65 to 190.167.4.126190.167.4.12762
19190.167.4.128/26190.167.4.129 to 190.167.4.190190.167.4.19162
20190.167.4.192/26190.167.4.193 to 190.167.4.254190.167.4.25562
21190.167.5.0/26190.167.5.1 to 190.167.5.62190.167.5.6362
22190.167.5.64/26190.167.5.65 to 190.167.5.126190.167.5.12762
23190.167.5.128/26190.167.5.129 to 190.167.5.190190.167.5.19162
24190.167.5.192/26190.167.5.193 to 190.167.5.254190.167.5.25562
25190.167.6.0/26190.167.6.1 to 190.167.6.62190.167.6.6362
26190.167.6.64/26190.167.6.65 to 190.167.6.126190.167.6.12762
27190.167.6.128/26190.167.6.129 to 190.167.6.190190.167.6.19162
28190.167.6.192/26190.167.6.193 to 190.167.6.254190.167.6.25562
29190.167.7.0/26190.167.7.1 to 190.167.7.62190.167.7.6362
30190.167.7.64/26190.167.7.65 to 190.167.7.126190.167.7.12762
31190.167.7.128/26190.167.7.129 to 190.167.7.190190.167.7.19162
32190.167.7.192/26190.167.7.193 to 190.167.7.254190.167.7.25562
33190.167.8.0/26190.167.8.1 to 190.167.8.62190.167.8.6362
34190.167.8.64/26190.167.8.65 to 190.167.8.126190.167.8.12762
35190.167.8.128/26190.167.8.129 to 190.167.8.190190.167.8.19162
36190.167.8.192/26190.167.8.193 to 190.167.8.254190.167.8.25562
37190.167.9.0/26190.167.9.1 to 190.167.9.62190.167.9.6362
38190.167.9.64/26190.167.9.65 to 190.167.9.126190.167.9.12762
39190.167.9.128/26190.167.9.129 to 190.167.9.190190.167.9.19162
40190.167.9.192/26190.167.9.193 to 190.167.9.254190.167.9.25562
41190.167.10.0/26190.167.10.1 to 190.167.10.62190.167.10.6362
42190.167.10.64/26190.167.10.65 to 190.167.10.126190.167.10.12762
43190.167.10.128/26190.167.10.129 to 190.167.10.190190.167.10.19162
44190.167.10.192/26190.167.10.193 to 190.167.10.254190.167.10.25562
45190.167.11.0/26190.167.11.1 to 190.167.11.62190.167.11.6362
46190.167.11.64/26190.167.11.65 to 190.167.11.126190.167.11.12762
47190.167.11.128/26190.167.11.129 to 190.167.11.190190.167.11.19162
48190.167.11.192/26190.167.11.193 to 190.167.11.254190.167.11.25562
49190.167.12.0/26190.167.12.1 to 190.167.12.62190.167.12.6362
50190.167.12.64/26190.167.12.65 to 190.167.12.126190.167.12.12762
51190.167.12.128/26190.167.12.129 to 190.167.12.190190.167.12.19162
52190.167.12.192/26190.167.12.193 to 190.167.12.254190.167.12.25562
53190.167.13.0/26190.167.13.1 to 190.167.13.62190.167.13.6362
54190.167.13.64/26190.167.13.65 to 190.167.13.126190.167.13.12762
55190.167.13.128/26190.167.13.129 to 190.167.13.190190.167.13.19162
56190.167.13.192/26190.167.13.193 to 190.167.13.254190.167.13.25562
57190.167.14.0/26190.167.14.1 to 190.167.14.62190.167.14.6362
58190.167.14.64/26190.167.14.65 to 190.167.14.126190.167.14.12762
59190.167.14.128/26190.167.14.129 to 190.167.14.190190.167.14.19162
60190.167.14.192/26190.167.14.193 to 190.167.14.254190.167.14.25562
61190.167.15.0/26190.167.15.1 to 190.167.15.62190.167.15.6362
62190.167.15.64/26190.167.15.65 to 190.167.15.126190.167.15.12762
63190.167.15.128/26190.167.15.129 to 190.167.15.190190.167.15.19162
64190.167.15.192/26190.167.15.193 to 190.167.15.254190.167.15.25562
65190.167.16.0/26190.167.16.1 to 190.167.16.62190.167.16.6362
66190.167.16.64/26190.167.16.65 to 190.167.16.126190.167.16.12762
67190.167.16.128/26190.167.16.129 to 190.167.16.190190.167.16.19162
68190.167.16.192/26190.167.16.193 to 190.167.16.254190.167.16.25562
69190.167.17.0/26190.167.17.1 to 190.167.17.62190.167.17.6362
70190.167.17.64/26190.167.17.65 to 190.167.17.126190.167.17.12762
71190.167.17.128/26190.167.17.129 to 190.167.17.190190.167.17.19162
72190.167.17.192/26190.167.17.193 to 190.167.17.254190.167.17.25562
73190.167.18.0/26190.167.18.1 to 190.167.18.62190.167.18.6362
74190.167.18.64/26190.167.18.65 to 190.167.18.126190.167.18.12762
75190.167.18.128/26190.167.18.129 to 190.167.18.190190.167.18.19162
76190.167.18.192/26190.167.18.193 to 190.167.18.254190.167.18.25562
77190.167.19.0/26190.167.19.1 to 190.167.19.62190.167.19.6362
78190.167.19.64/26190.167.19.65 to 190.167.19.126190.167.19.12762
79190.167.19.128/26190.167.19.129 to 190.167.19.190190.167.19.19162
80190.167.19.192/26190.167.19.193 to 190.167.19.254190.167.19.25562
81190.167.20.0/26190.167.20.1 to 190.167.20.62190.167.20.6362
82190.167.20.64/26190.167.20.65 to 190.167.20.126190.167.20.12762
83190.167.20.128/26190.167.20.129 to 190.167.20.190190.167.20.19162
84190.167.20.192/26190.167.20.193 to 190.167.20.254190.167.20.25562
85190.167.21.0/26190.167.21.1 to 190.167.21.62190.167.21.6362
86190.167.21.64/26190.167.21.65 to 190.167.21.126190.167.21.12762
87190.167.21.128/26190.167.21.129 to 190.167.21.190190.167.21.19162
88190.167.21.192/26190.167.21.193 to 190.167.21.254190.167.21.25562
89190.167.22.0/26190.167.22.1 to 190.167.22.62190.167.22.6362
90190.167.22.64/26190.167.22.65 to 190.167.22.126190.167.22.12762
91190.167.22.128/26190.167.22.129 to 190.167.22.190190.167.22.19162
92190.167.22.192/26190.167.22.193 to 190.167.22.254190.167.22.25562
93190.167.23.0/26190.167.23.1 to 190.167.23.62190.167.23.6362
94190.167.23.64/26190.167.23.65 to 190.167.23.126190.167.23.12762
95190.167.23.128/26190.167.23.129 to 190.167.23.190190.167.23.19162
96190.167.23.192/26190.167.23.193 to 190.167.23.254190.167.23.25562
97190.167.24.0/26190.167.24.1 to 190.167.24.62190.167.24.6362
98190.167.24.64/26190.167.24.65 to 190.167.24.126190.167.24.12762
99190.167.24.128/26190.167.24.129 to 190.167.24.190190.167.24.19162
100190.167.24.192/26190.167.24.193 to 190.167.24.254190.167.24.25562
101190.167.25.0/26190.167.25.1 to 190.167.25.62190.167.25.6362
102190.167.25.64/26190.167.25.65 to 190.167.25.126190.167.25.12762
103190.167.25.128/26190.167.25.129 to 190.167.25.190190.167.25.19162
104190.167.25.192/26190.167.25.193 to 190.167.25.254190.167.25.25562
105190.167.26.0/26190.167.26.1 to 190.167.26.62190.167.26.6362
106190.167.26.64/26190.167.26.65 to 190.167.26.126190.167.26.12762
107190.167.26.128/26190.167.26.129 to 190.167.26.190190.167.26.19162
108190.167.26.192/26190.167.26.193 to 190.167.26.254190.167.26.25562
109190.167.27.0/26190.167.27.1 to 190.167.27.62190.167.27.6362
110190.167.27.64/26190.167.27.65 to 190.167.27.126190.167.27.12762
111190.167.27.128/26190.167.27.129 to 190.167.27.190190.167.27.19162
112190.167.27.192/26190.167.27.193 to 190.167.27.254190.167.27.25562
113190.167.28.0/26190.167.28.1 to 190.167.28.62190.167.28.6362
114190.167.28.64/26190.167.28.65 to 190.167.28.126190.167.28.12762
115190.167.28.128/26190.167.28.129 to 190.167.28.190190.167.28.19162
116190.167.28.192/26190.167.28.193 to 190.167.28.254190.167.28.25562
117190.167.29.0/26190.167.29.1 to 190.167.29.62190.167.29.6362
118190.167.29.64/26190.167.29.65 to 190.167.29.126190.167.29.12762
119190.167.29.128/26190.167.29.129 to 190.167.29.190190.167.29.19162
120190.167.29.192/26190.167.29.193 to 190.167.29.254190.167.29.25562
121190.167.30.0/26190.167.30.1 to 190.167.30.62190.167.30.6362
122190.167.30.64/26190.167.30.65 to 190.167.30.126190.167.30.12762
123190.167.30.128/26190.167.30.129 to 190.167.30.190190.167.30.19162
124190.167.30.192/26190.167.30.193 to 190.167.30.254190.167.30.25562
125190.167.31.0/26190.167.31.1 to 190.167.31.62190.167.31.6362
126190.167.31.64/26190.167.31.65 to 190.167.31.126190.167.31.12762
127190.167.31.128/26190.167.31.129 to 190.167.31.190190.167.31.19162
128190.167.31.192/26190.167.31.193 to 190.167.31.254190.167.31.25562
129190.167.32.0/26190.167.32.1 to 190.167.32.62190.167.32.6362
130190.167.32.64/26190.167.32.65 to 190.167.32.126190.167.32.12762
131190.167.32.128/26190.167.32.129 to 190.167.32.190190.167.32.19162
132190.167.32.192/26190.167.32.193 to 190.167.32.254190.167.32.25562
133190.167.33.0/26190.167.33.1 to 190.167.33.62190.167.33.6362
134190.167.33.64/26190.167.33.65 to 190.167.33.126190.167.33.12762
135190.167.33.128/26190.167.33.129 to 190.167.33.190190.167.33.19162
136190.167.33.192/26190.167.33.193 to 190.167.33.254190.167.33.25562
137190.167.34.0/26190.167.34.1 to 190.167.34.62190.167.34.6362
138190.167.34.64/26190.167.34.65 to 190.167.34.126190.167.34.12762
139190.167.34.128/26190.167.34.129 to 190.167.34.190190.167.34.19162
140190.167.34.192/26190.167.34.193 to 190.167.34.254190.167.34.25562
141190.167.35.0/26190.167.35.1 to 190.167.35.62190.167.35.6362
142190.167.35.64/26190.167.35.65 to 190.167.35.126190.167.35.12762
143190.167.35.128/26190.167.35.129 to 190.167.35.190190.167.35.19162
144190.167.35.192/26190.167.35.193 to 190.167.35.254190.167.35.25562
145190.167.36.0/26190.167.36.1 to 190.167.36.62190.167.36.6362
146190.167.36.64/26190.167.36.65 to 190.167.36.126190.167.36.12762
147190.167.36.128/26190.167.36.129 to 190.167.36.190190.167.36.19162
148190.167.36.192/26190.167.36.193 to 190.167.36.254190.167.36.25562
149190.167.37.0/26190.167.37.1 to 190.167.37.62190.167.37.6362
150190.167.37.64/26190.167.37.65 to 190.167.37.126190.167.37.12762
151190.167.37.128/26190.167.37.129 to 190.167.37.190190.167.37.19162
152190.167.37.192/26190.167.37.193 to 190.167.37.254190.167.37.25562
153190.167.38.0/26190.167.38.1 to 190.167.38.62190.167.38.6362
154190.167.38.64/26190.167.38.65 to 190.167.38.126190.167.38.12762
155190.167.38.128/26190.167.38.129 to 190.167.38.190190.167.38.19162
156190.167.38.192/26190.167.38.193 to 190.167.38.254190.167.38.25562
157190.167.39.0/26190.167.39.1 to 190.167.39.62190.167.39.6362
158190.167.39.64/26190.167.39.65 to 190.167.39.126190.167.39.12762
159190.167.39.128/26190.167.39.129 to 190.167.39.190190.167.39.19162
160190.167.39.192/26190.167.39.193 to 190.167.39.254190.167.39.25562
161190.167.40.0/26190.167.40.1 to 190.167.40.62190.167.40.6362
162190.167.40.64/26190.167.40.65 to 190.167.40.126190.167.40.12762
163190.167.40.128/26190.167.40.129 to 190.167.40.190190.167.40.19162
164190.167.40.192/26190.167.40.193 to 190.167.40.254190.167.40.25562
165190.167.41.0/26190.167.41.1 to 190.167.41.62190.167.41.6362
166190.167.41.64/26190.167.41.65 to 190.167.41.126190.167.41.12762
167190.167.41.128/26190.167.41.129 to 190.167.41.190190.167.41.19162
168190.167.41.192/26190.167.41.193 to 190.167.41.254190.167.41.25562
169190.167.42.0/26190.167.42.1 to 190.167.42.62190.167.42.6362
170190.167.42.64/26190.167.42.65 to 190.167.42.126190.167.42.12762
171190.167.42.128/26190.167.42.129 to 190.167.42.190190.167.42.19162
172190.167.42.192/26190.167.42.193 to 190.167.42.254190.167.42.25562
173190.167.43.0/26190.167.43.1 to 190.167.43.62190.167.43.6362
174190.167.43.64/26190.167.43.65 to 190.167.43.126190.167.43.12762
175190.167.43.128/26190.167.43.129 to 190.167.43.190190.167.43.19162
176190.167.43.192/26190.167.43.193 to 190.167.43.254190.167.43.25562
177190.167.44.0/26190.167.44.1 to 190.167.44.62190.167.44.6362
178190.167.44.64/26190.167.44.65 to 190.167.44.126190.167.44.12762
179190.167.44.128/26190.167.44.129 to 190.167.44.190190.167.44.19162
180190.167.44.192/26190.167.44.193 to 190.167.44.254190.167.44.25562
181190.167.45.0/26190.167.45.1 to 190.167.45.62190.167.45.6362
182190.167.45.64/26190.167.45.65 to 190.167.45.126190.167.45.12762
183190.167.45.128/26190.167.45.129 to 190.167.45.190190.167.45.19162
184190.167.45.192/26190.167.45.193 to 190.167.45.254190.167.45.25562
185190.167.46.0/26190.167.46.1 to 190.167.46.62190.167.46.6362
186190.167.46.64/26190.167.46.65 to 190.167.46.126190.167.46.12762
187190.167.46.128/26190.167.46.129 to 190.167.46.190190.167.46.19162
188190.167.46.192/26190.167.46.193 to 190.167.46.254190.167.46.25562
189190.167.47.0/26190.167.47.1 to 190.167.47.62190.167.47.6362
190190.167.47.64/26190.167.47.65 to 190.167.47.126190.167.47.12762
191190.167.47.128/26190.167.47.129 to 190.167.47.190190.167.47.19162
192190.167.47.192/26190.167.47.193 to 190.167.47.254190.167.47.25562
193190.167.48.0/26190.167.48.1 to 190.167.48.62190.167.48.6362
194190.167.48.64/26190.167.48.65 to 190.167.48.126190.167.48.12762
195190.167.48.128/26190.167.48.129 to 190.167.48.190190.167.48.19162
196190.167.48.192/26190.167.48.193 to 190.167.48.254190.167.48.25562
197190.167.49.0/26190.167.49.1 to 190.167.49.62190.167.49.6362
198190.167.49.64/26190.167.49.65 to 190.167.49.126190.167.49.12762
199190.167.49.128/26190.167.49.129 to 190.167.49.190190.167.49.19162
200190.167.49.192/26190.167.49.193 to 190.167.49.254190.167.49.25562
201190.167.50.0/26190.167.50.1 to 190.167.50.62190.167.50.6362
202190.167.50.64/26190.167.50.65 to 190.167.50.126190.167.50.12762
203190.167.50.128/26190.167.50.129 to 190.167.50.190190.167.50.19162
204190.167.50.192/26190.167.50.193 to 190.167.50.254190.167.50.25562
205190.167.51.0/26190.167.51.1 to 190.167.51.62190.167.51.6362
206190.167.51.64/26190.167.51.65 to 190.167.51.126190.167.51.12762
207190.167.51.128/26190.167.51.129 to 190.167.51.190190.167.51.19162
208190.167.51.192/26190.167.51.193 to 190.167.51.254190.167.51.25562
209190.167.52.0/26190.167.52.1 to 190.167.52.62190.167.52.6362
210190.167.52.64/26190.167.52.65 to 190.167.52.126190.167.52.12762
211190.167.52.128/26190.167.52.129 to 190.167.52.190190.167.52.19162
212190.167.52.192/26190.167.52.193 to 190.167.52.254190.167.52.25562
213190.167.53.0/26190.167.53.1 to 190.167.53.62190.167.53.6362
214190.167.53.64/26190.167.53.65 to 190.167.53.126190.167.53.12762
215190.167.53.128/26190.167.53.129 to 190.167.53.190190.167.53.19162
216190.167.53.192/26190.167.53.193 to 190.167.53.254190.167.53.25562
217190.167.54.0/26190.167.54.1 to 190.167.54.62190.167.54.6362
218190.167.54.64/26190.167.54.65 to 190.167.54.126190.167.54.12762
219190.167.54.128/26190.167.54.129 to 190.167.54.190190.167.54.19162
220190.167.54.192/26190.167.54.193 to 190.167.54.254190.167.54.25562
221190.167.55.0/26190.167.55.1 to 190.167.55.62190.167.55.6362
222190.167.55.64/26190.167.55.65 to 190.167.55.126190.167.55.12762
223190.167.55.128/26190.167.55.129 to 190.167.55.190190.167.55.19162
224190.167.55.192/26190.167.55.193 to 190.167.55.254190.167.55.25562
225190.167.56.0/26190.167.56.1 to 190.167.56.62190.167.56.6362
226190.167.56.64/26190.167.56.65 to 190.167.56.126190.167.56.12762
227190.167.56.128/26190.167.56.129 to 190.167.56.190190.167.56.19162
228190.167.56.192/26190.167.56.193 to 190.167.56.254190.167.56.25562
229190.167.57.0/26190.167.57.1 to 190.167.57.62190.167.57.6362
230190.167.57.64/26190.167.57.65 to 190.167.57.126190.167.57.12762
231190.167.57.128/26190.167.57.129 to 190.167.57.190190.167.57.19162
232190.167.57.192/26190.167.57.193 to 190.167.57.254190.167.57.25562
233190.167.58.0/26190.167.58.1 to 190.167.58.62190.167.58.6362
234190.167.58.64/26190.167.58.65 to 190.167.58.126190.167.58.12762
235190.167.58.128/26190.167.58.129 to 190.167.58.190190.167.58.19162
236190.167.58.192/26190.167.58.193 to 190.167.58.254190.167.58.25562
237190.167.59.0/26190.167.59.1 to 190.167.59.62190.167.59.6362
238190.167.59.64/26190.167.59.65 to 190.167.59.126190.167.59.12762
239190.167.59.128/26190.167.59.129 to 190.167.59.190190.167.59.19162
240190.167.59.192/26190.167.59.193 to 190.167.59.254190.167.59.25562
241190.167.60.0/26190.167.60.1 to 190.167.60.62190.167.60.6362
242190.167.60.64/26190.167.60.65 to 190.167.60.126190.167.60.12762
243190.167.60.128/26190.167.60.129 to 190.167.60.190190.167.60.19162
244190.167.60.192/26190.167.60.193 to 190.167.60.254190.167.60.25562
245190.167.61.0/26190.167.61.1 to 190.167.61.62190.167.61.6362
246190.167.61.64/26190.167.61.65 to 190.167.61.126190.167.61.12762
247190.167.61.128/26190.167.61.129 to 190.167.61.190190.167.61.19162
248190.167.61.192/26190.167.61.193 to 190.167.61.254190.167.61.25562
249190.167.62.0/26190.167.62.1 to 190.167.62.62190.167.62.6362
250190.167.62.64/26190.167.62.65 to 190.167.62.126190.167.62.12762
251190.167.62.128/26190.167.62.129 to 190.167.62.190190.167.62.19162
252190.167.62.192/26190.167.62.193 to 190.167.62.254190.167.62.25562
253190.167.63.0/26190.167.63.1 to 190.167.63.62190.167.63.6362
254190.167.63.64/26190.167.63.65 to 190.167.63.126190.167.63.12762
255190.167.63.128/26190.167.63.129 to 190.167.63.190190.167.63.19162
256190.167.63.192/26190.167.63.193 to 190.167.63.254190.167.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses